DaytimeTCPClient
Date: 2016-06-23

org.apache.commons.net.daytime

## Class DaytimeTCPClient

- java.lang.Object
- - org.apache.commons.net.SocketClient
  - - org.apache.commons.net.daytime.DaytimeTCPClient

-     public final class DaytimeTCPClient
      extends SocketClient

  The DaytimeTCPClient class is a TCP implementation of a client for the Daytime protocol described in RFC 867. To use the class, merely establish a connection with `connect` and call `getTime()` to retrieve the daytime string, then call `disconnect` to close the connection properly.
  See Also:
    `DaytimeUDPClient`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT` The default daytime port.

    - ### Fields inherited from class org.apache.commons.net.SocketClient

      `_defaultPort_, _hostname_, _input_, _output_, _serverSocketFactory_, _socket_, _socketFactory_, _timeout_, connectTimeout, NETASCII_EOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaytimeTCPClient()` The default DaytimeTCPClient constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTime()` Retrieves the time string from the server and returns it.

    - ### Methods inherited from class org.apache.commons.net.SocketClient

      `_connectAction_, addProtocolCommandListener, connect, connect, connect, connect, connect, connect, createCommandSupport, disconnect, fireCommandSent, fireReplyReceived, getCharset, getCharsetName, getCommandSupport, getConnectTimeout, getDefaultPort, getDefaultTimeout, getKeepAlive, getLocalAddress, getLocalPort, getProxy, getReceiveBufferSize, getRemoteAddress, getRemotePort, getSendBufferSize, getServerSocketFactory, getSoLinger, getSoTimeout, getTcpNoDelay, isAvailable, isConnected, removeProtocolCommandListener, setCharset, setConnectTimeout, setDefaultPort, setDefaultTimeout, setKeepAlive, setProxy, setReceiveBufferSize, setSendBufferSize, setServerSocketFactory, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      The default daytime port. It is set to 13 according to RFC 867.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DaytimeTCPClient

          public DaytimeTCPClient()

      The default DaytimeTCPClient constructor. It merely sets the default port to `DEFAULT_PORT` .

  - ### Method Detail

    - #### getTime

          public java.lang.String getTime()
                                   throws java.io.IOException

      Retrieves the time string from the server and returns it. The server will have closed the connection at this point, so you should call `disconnect` after calling this method. To retrieve another time, you must initiate another connection with `connect` before calling `getTime()` again.
      Returns:
        The time string retrieved from the server.
      Throws:
        `java.io.IOException` - If an error occurs while fetching the time string.